<?php
// (c) Xavier Nicolay
// Exemple de gnration de devis/facture PDF
include("../../class2.php");
include("library/api.php");
define('FPDF_FONTPATH','font/');
include('library/invoice_handler.php');

function zogo_generate_invoice($theorder){
	$pdf = new INVOICE( 'P', 'mm', 'A4' );
	$pdf->Open();
	$pdf->AddPage();
	$pdf->addSociete( SITENAME,
					  lan_business_details );
	$pdf->fact_dev( lan_invoice_title, $theorder );
	$pdf->addDate( zogo_get_order_date($_GET["o"]));
	
	$pdf->addPageNumber("1");
	$pdf->addClientAdresse(zogo_get_cust_info($theorder));
	$pdf->addReglement(zogo_get_payment_method($theorder));
	//$pdf->addEcheance("03/12/2003");
	$pdf->addNumTVA(lan_tax_ID);
	//$pdf->addReference("Devis ... du ....");

	//
	// Put the table headings in place for the invoice
	//
	$cols=array( lan_invoice_ref    => 23,
				 lan_product_name  => 78,
				 lan_quantity     => 22,
				 lan_options      => 26,
				 lan_price_per_item     => 40 );
	$pdf->addCols( $cols);
	$cols=array( lan_invoice_ref    => "L",
				 lan_product_name  => "L",
				 lan_quantity     => "C",
				 lan_options      => "L",
				 lan_price_per_item     => "R" );
	
	$pdf->addLineFormat( $cols);
	$pdf->addLineFormat($cols);
	
	//
	// Loop through the products in the cart and add them to the invoice
	//
	$sql = new db;
	$i=1;
	$sql->db_Select("zogo_orders", "*", "order_number='".$_GET["o"]."'");
	$y    = 109;
	while($row = $sql->db_Fetch()){
		$price = zogo_get_product_options_for_cart($row["option"], "optval") + zogo_get_product_field($row["productID"], "product_price");

		$price = number_format($price, 2, ".", ",");
		$tax_rate = zogo_get_settings("tax_rate");
		$tax_method = zogo_get_settings("tax_inc");
			
		//
		// Start adding the sub-totals and postage
		//
		if (zogo_get_settings("postage_method")=="2"){
			$postage_price += zogo_get_postage($row["productID"], $row["quantity"]);
			$postage_price = number_format($postage_price, 2, ".", ",");
		}
		else if(zogo_get_settings("postage_method")=="3"){
			$postage_price = zogo_get_region_post_price($theorder);
			if($postage_price!="0.00")
			{
				$postage_price = number_format($postage_price, 2, ".", ",");
			}
		}

		//
		// Calculate the total of the cart
		//
		$subtotal	+= $price * $row["quantity"];
		$total_price += $subtotal;
		$total_price2 += $subtotal;


		
		
		//
		// calculate and add the tax
		//
		if($tax_method==1){
			$tax_calc = ($tax_rate + 100) / 100;
			$tax = $subtotal / $tax_calc;
			$tax = $subtotal - $tax;
		}
		else if($tax_method==2)
		{
			$tax = $subtotal / 100 * $tax_rate;
			
		}
		if($tax_method==1)
		{
			$subtotal = $postage_price + $subtotal;
			$subtotal = number_format($subtotal, 2, ".", ",");
		}

		

		//
		// Display the tax information in the cart
		//
		$tax = number_format($tax, 2, ".", ",");
		$subtotal = number_format($subtotal, 2, ".", ",");
		if($tax_method==1)
		{
			$total_price = $subtotal;
			$total_price += $postage_price;
		}
		else if($tax_method==2)
		{
			$total_price = $subtotal + $tax;
			$total_price += $postage_price;
			
		}
		$total_price = number_format($total_price, 2, ".", ",");
		
		######################################
		
		$line = array( lan_invoice_ref    => $i,
					   lan_product_name  => zogo_get_product_field($row["productID"], "product_name")."\n",
					   lan_quantity     => $row["quantity"],
					   lan_options      => zogo_get_product_options_for_invoice($row["option"], "optname"),
					   lan_price_per_item    => $price );
		$size = $pdf->addLine( $y, $line );
		$y   += $size + 6;
		$i++;
	}
	//echo "<br>".$sub_total;
	
	###########################################################################
	

	$pdf->zogo_invoice_info();
	$pdf->addCadreEurosFrancs($postage_price, $tax, $subtotal, $total_price, $theorder);
	$pdf->Output();
}
if(ADMIN || zogo_get_user_for_order($_GET["o"], USERNAME)==1){
	zogo_generate_invoice($_GET["o"]);
}
else
{
	require(HEADERF);
	$ns->tablerender("", "you do not have permission to view this invoice");
	require(FOOTERF);
}
?>
