<?#####################################################
# zogo_activate_gateway($gateway, $event)
#####################################################
# 
#	This function makes a gateway active or
#	inactive.
#
#	$event = 1: Acitvate
#	$event = 2: De-activate
# 
#	example: zogo_activate_gateway("paypal", 1);
#####################################################
function zogo_activate_gateway($gateway, $event)
{
	$path = str_replace("admin/", "", zogo_get_path());
	//
	// give the active and inactive names
	//
	$active = $gateway.".php";
	$inactive = $gateway.".inactive";
	
	//
	// Activate gateway
	//
	if($event==1)
	{
		if(file_exists("../gateways/".$active)) {
		   
		   $ok = rename("../gateways/".$inactive, "../gateways/".$active);
		} 
		else 
		{ 
			$ok = rename("../gateways/".$inactive, "../gateways/".$active);
		}
		echo $ok;
	}

	//
	// De-activate gateway
	//
	if($event==2)
	{
		if(file_exists("../gateways/".$active)) {
		   
		   $ok = rename("../gateways/".$active, "../gateways/".$inactive);
		} 
		else 
		{ 
			$ok = rename("../gateways/".$active, "../gateways/".$inactive);
		}
		echo $ok;
	}

	zogo_update_gateways_info();
}

#####################################################
# zogo_update_gateways_info($action)
#####################################################
# 
#	checks gateways directory and makes relevant 
#	updates (active, inactive, new)
#
#####################################################
function zogo_update_gateways_info(){
	$sql=new db;
	
	//
	// New gateways
	//
	foreach (glob("../gateways/*.php") as $gateway) {
		$gateway_file = str_replace(".php", "", $gateway);
		$gateway_file = str_replace("gateways/", "", $gateway_file);
		$gateway_file = str_replace("../", "", $gateway_file);
		
		//
		// Insert any gateways that do not exist
		//
		if(!$sql->db_Select("zogo_gateways", "*", "identifier='".$gateway_file."'")){
			$sql->db_Insert("zogo_gateways", "0, '".$gateway_file."', '' , '', '', '', '', 0")or die(mysql_error());
		}
		else
		{
			echo "hmmm";
		}
		
		//
		// Mark any new or re-activated gateways as active in the database
		//
		if($sql->db_Select("zogo_gateways", "*", "identifier='".$gateway_file."' and active=0")){
			$sql->db_Update("zogo_gateways", "active='1' where identifier='".$gateway_file."'");
		}
	}

	//
	// Update active/inactive gateways
	//
	foreach (glob("../gateways/*.inactive") as $gateway) {
		$gateway_file = str_replace(".inactive", "", $gateway);
		$gateway_file = str_replace("gateways/", "", $gateway_file);
		$gateway_file = str_replace("../", "", $gateway_file);
		
		if($sql->db_Select("zogo_gateways", "*", "identifier='".$gateway_file."'")){
			$sql->db_Update("zogo_gateways", "active='0' where identifier='".$gateway_file."'");
		}
	}

}

#####################################################
#zogo_display_gateway_form($gateway)
#####################################################
# 
#	Displays the gateways data in a form for admin
#
#####################################################
function zogo_process_gateway_update($gateway, $gateway_account, $f1, $f2, $f3, $f4)
{
	global $ns, $sql;
	$sql = new db;
	echo $gateway_account;
	
	$sql->db_Update("zogo_gateways", "account='".$gateway_account."', field1='".$f1."', field2='".$f2."', field3='".$f3."', field4='".$f4."' where identifier='".$gateway."'");
		
	$ns->tablerender(lan_gateway_update_title, lan_gateway_update_text);
}

#####################################################
# zogo_get_gateway($gateway)
#####################################################
# 
#	gets a gateway field
#
#####################################################
function zogo_get_gateway($gateway, $field){
	$sql = new db;
	$gateway = str_replace(".php", "", $gateway);
	$sql->db_Select("zogo_gateways", $field, "identifier='".$gateway."'");
		while($row = $sql->db_Fetch()){
			$field_data = $row[$field];
		}

	return $field_data;
}
?>