<?php
####################################################
#	category_class.php
####################################################
#
# version: 2
# Authour: Daniel Hewes
# Site: http://www.digitalground.net
#
#	Released Under Proprietry Commercial License
#	See License.txt
####################################################
#
#	Classes/functions for displaying categories 
#	Across the entire program
#
#####################################################

#####################################################
# zogo_display_categories()
#####################################################
# 
#	This function is used to display the list of 
#	categories.
#	$zogo_style definses how 
#	to display the categories
#####################################################
	
function zogo_display_categories($zogo_style)
{
	$sql=new db;
	//
	// Check the display type and then render accordingly
	//
	if($zogo_style == 1){
		//
		// Display the forum style
		//
		$text .="<table class=\"forumheader3\" style='width:95%'><tr><td class=\"forumheader3\" width='100%' colspan='3'>".lan_category."</td></tr>";
		$sql -> db_Select("zogo_categories", "*", "parid ='' AND active=1 order by catord");
                while($row = $sql -> db_Fetch()){
					$myCategory = $row["catName"];
					$myCatID = $row["catId"];
					$myCatDesc = $row["catDesc"];
					$catimg = $row["catimg"];

					//
					//change the cat image to a folder if no image selected
					//
					if ($catimg == "noimg") {
						$catimg = "default.gif";
					}
					
					$text .= "<tr><td class=\"forumheader2\" width='20%'><center><a href='products.php?cat=$myCatID'><img src='images/category/$catimg' alt='category image' border='0'></a></td><td class=\"forumheader2\" width='45%'><a href='products.php?cat=$myCatID'>$myCategory</a></td><td class=\"forumheader2\" width='45%'>$myCatDesc</td></tr>";
				}
				$text .="</table>";
	}
	else
	{
		//
		// Image based layout (default if none is set)
		//

		$text.="<center><table class=\"forumheader3\" style='width:95%'>";
		$text.="<tr><td class=\"forumheader3\" width=95% colspan=3>".lan_category."</td></tr><tr><td><center><table class=\"forumheader3\" style='width:100%'><tr>";

		$sql -> db_Select("zogo_categories", "*", "parid ='' AND active=1 order by catord");
		$catcount = 0;
			
		while($row = $sql -> db_Fetch()){
			
			$myCategory = $row["catName"];
			$myCatID = $row["catId"];
			$myCatDesc = $row["catDesc"];
			$catimg = $row["catimg"];

			//
			//change the cat image to a folder if no image selected
			//
				if ($catimg == "noimg") {
					$catimg = "default.gif";
				}
		
			//
			// A somewhat confusing script to display coulmned display of categories
			//

			if ($record_count % 3==0 AND $record_count != 0){
				$text.= '</tr><tr>';
			}
			$text.= '<td>';
			
			//
			//Echo out the entire record in one table cell:
			//
			for ($i=0; $i< count($myCategory); $i++){
				$text.= "<br><center><a href='products.php?cat=$myCatID'><img src='images/category/$catimg' border=0><br>$myCategory</a><br><br>";
				}

				$text.= '</td>';
				
				//
				//Indicate another record has been echoed:
				//
				$record_count++;
		}

		$text .="</tr></table></td></tr></table>";
	}
	return $text;
}

#####################################################
# zogo_display_list_of_categories()
#####################################################
# 
#	This function creates a drop down list of 
#	categories.
#	
#####################################################

function zogo_display_list_of_categories(){
	$sql=new db;
	$list = "<select name='categories'>";
	$sql -> db_Select("zogo_categories", "*", "parid ='None' order by catord") or die("error");
	while($row = $sql -> db_Fetch()){			
		$myCategory = $row["catName"];
		$myCatID = $row["catId"];
		$myCatDesc = $row["catDesc"];
		$catimg = $row["catimg"];
		
		$list.="<option value='".$myCatID."'>".$myCategory."</option>";

	}
	$list .= "</select>";

	return $list;
}

#####################################################
# zogo_display_list_of_sub_categories()
#####################################################
# 
#	This function creates a drop down list of 
#	sub-categories.
#	
#####################################################

function zogo_display_list_of_sub_categories($category){
	$sql=new db;
	$list = "<select name='subcategories' class='tbox' onChange=\"jumpto(document.submenu.subcategories.options[document.submenu.subcategories.options.selectedIndex].value)\">";
	$list.="<option value=''>".lan_sub_cats."</option>";
	$sql -> db_Select("zogo_categories", "*", "parid=".$category." order by catord");
	while($row = $sql -> db_Fetch()){			
		$myCategory = $row["catName"];
		$myCatID = $row["catId"];
		$myCatDesc = $row["catDesc"];
		$catimg = $row["catimg"];
		
		$list.="<option value='".$myCatID."'>".$myCategory."</option>";

	}
	$list .= "</select>";

	return $list;
}

function zogo_get_category_name($category_id){
	$sql=new db;
	$sql->db_Select("zogo_categories", "*", "catId=".$category_id);
	while($row = $sql -> db_Fetch()){
		$myCategory = $row["catName"];
	}
	return $myCategory;
}
?>