<?php
####################################################
#	payment_class.php
####################################################
#
# version: 2
# Authour: Daniel Hewes
# Site: http://www.digitalground.net
#
#	Released Under Proprietry Commercial License
#	See License.txt
####################################################
#
#	Classes/functions for manageing the payments 
#
#####################################################

#####################################################
# zogo_payment_methods()
#####################################################
# 
#	renders payment options into a select box
#
#####################################################
function zogo_payment_methods(){

	$payment_method = "<select name='payment' class='tbox'>";
	foreach (glob("gateways/*.php") as $gateway) {
		$gateway_file = str_replace(".php", "", $gateway);
		$payment_method .= "<option value='".str_replace("gateways/", "", $gateway)."'>".str_replace("gateways/", "", $gateway_file)." </option>";
	}
	$payment_method .="</select>";

	return $payment_method;
}



#####################################################
# zogo_payment_forms(Gateway)
#####################################################
# 
#	Creates the "Submit Order" form and submits
#	to the gateway selected
#
#####################################################
function zogo_payment_forms($gateway, $total, $fname, $lname, $city, $state, $country, $region, $postage, $zip, $order_id, $address, $email, $coupon){

	global $cart_id;
	$order_id = $cart_id;

	//
	// The websites currency
	//
	$currency = zogo_get_settings("currency");

	//
	// Build the return address for the gateways
	//
	$site_address = str_replace(e_PAGE, "", e_SELF);
	$return_address_true = $site_address."notify.php?total=$total&order_id=$order_id&pgway=$gateway";
	$return_address_false = $site_address."notify.php?total=$total&order_id=$order_id&pgway=$paygate&fail=fail";
	
	//
	// Include the payment gateway php file - with the account info declared by the user
	//
	require("gateways/".$gateway);

	
	if($gateway=="paypal"){
		//
		// PayPal field names
		//
//		$req_field = "<input type=\"hidden\" name=\"cmd\" value=\"_xclick\"><input type=\"hidden\" name=\"upload\" value=\"1\">";
//		$f_account = "business";
//		$f_action = "https://www.paypal.com/cgi-bin/webscr";
//		$f_order = "order_id";
//		$f_item_name="item_name";
//		$f_total="total";
//		$f_amount = "amount";
//		$f_currency = "currency_code";
//		$f_fname = "first_name";
//		$f_lname= "last_name";
//		$f_address = "address1";
//		$f_city = "city";
//		$f_state = "state";
//		$f_zip = "zip";
//		$f_country = "country";
//		$f_return = "return";
//		$f_cancel = "cancel_return";
//		$f_email = "email";
//		$f_description = "item_number";
	}
	else if($gateway== "2checkout"){
		//
		// 2Checkout Field Names
		//
		$req_field = "<input type=\"hidden\" name=\"x_card_holder_name\" value=\"".$fname . " " .$lname."\"><INPUT TYPE=\"hidden\" NAME=\"x_Receipt_Link_Method\" VALUE=\"Link\"><INPUT TYPE=\"HIDDEN\" NAME=\"x_Receipt_Link_Text\" VALUE=\"".lan_click_to_complete."\"><input type=\"hidden\" name=\"x_test_request\" value=\"Y\"><input type=\"hidden\" name=\"x_email_merchant\" value=\"TRUE\">";
		$f_action = "https://www.2checkout.com/cgi-bin/Abuyers/purchase.2c";
		$f_account = "x_login";
		$f_order = "order_id";
		$f_item_name="item_name";
		$f_total="x_amount";
		$f_currency = "currency_code";
		$f_fname = "x_First_Name";
		$f_lname= "x_Last_Name";
		$f_address = "x_street_address";
		$f_city = "x_City";
		$f_state = "x_State";
		$f_country = "x_Country";
		$f_zip = "x_Zip";
		$f_return = "x_Receipt_Link_URL";
		$f_email = "x_Email";
		$f_description = "x_Description";
	}
	else if($gateway=="paysystems"){
		if($currency=="USD")  {$currency = "UNI";}
		if($currency=="AUD")  {$currency = "AUS";}
		if($currency=="CAD")  {$currency = "CAN";}
		if($currency=="GBP")  {$currency = "GBR";}

		$req_field = "<INPUT type=hidden name=\"formget\" value=\"Y\"> ";
		$f_action = "https://secure.paysystems1.com/cgi-v310/payment/onlinesale-tpppro.asp";
		$f_account = "companyid";
		$f_order = "order_id";
		$f_item_name="item_name";
		$f_total="total";
		$f_currency = "currency_code";
		$f_fname = "b_firstname";
		$f_lname= "b_lastname";
		$f_address = "b_address";
		$f_city = "b_City";
		$f_state = "b_State";
		$f_country = "b_Country";
		$f_zip = "b_Zip";
		$f_return = "redirect";
		$f_cancel = "redirectfail";
		$f_email = "Email";
		$f_description = "product1";
	}
	else if($gateway=="nochex"){
		$req_field = "<INPUT type=hidden name=\"formget\" value=\"Y\"> ";
		$f_action = "https://www.nochex.com/nochex.dll/checkout";
		$f_account = "email";
		$f_order = "ordernumber";
		$f_item_name="item_name";
		$f_total="total";
		$f_currency = "currency_code";
		$f_fname = "b_firstname";
		$f_lname= "b_lastname";
		$f_address = "b_address";
		$f_city = "b_City";
		$f_state = "b_State";
		$f_country = "b_Country";
		$f_zip = "b_Zip";
		$f_return = "returnurl";
		$f_cancel = "redirectfail";
		$f_email = "from_email";
		$f_description = "order_id";
	}
	else if($gateway=="egold"){
		if($currency=="USD")  {$currency= "1";}
		if($currency=="AUD")  {$currency= "61";}
		if($currency=="CAD")  {$currency= "2";}
		if($currency=="GBP")  {$currency= "44";}
		if($currency=="JPY")  {$currency= "81";}
		if($currency=="EUR")  {$currency= "85";}

		$req_field = "<input type=\"hidden\" name=\"PAYMENT_METAL_ID\" value=\"1\"><input type=\"hidden\" name=\"PAYMENT_URL_METHOD\" value=\"LINK\"><input type='hidden' name='BAGGAGE_FIELDS' value=''>";
		$f_action = "https://www.e-gold.com/sci_asp/payments.asp";
		$f_account = "PAYEE_ACCOUNT";
		$f_store = "PAYEE_NAME";
		$f_order = "ordernumber";
		$f_item_name="item_name";
		$f_total="PAYMENT_AMOUNT";
		$f_currency = "PAYMENT_UNITS";
		$f_fname = "b_firstname";
		$f_lname= "b_lastname";
		$f_address = "b_address";
		$f_city = "b_City";
		$f_state = "b_State";
		$f_country = "b_Country";
		$f_zip = "b_Zip";
		$f_return = "PAYMENT_URL";
		$f_cancel = "NOPAYMENT_URL";
		$f_email = "CUSTOMERID";
		$f_description = "order_id";
	}
	else if($gateway=="moneybookers"){
		if($currency=="USD")  {$currency = "UNI";}
		if($currency=="AUD")  {$currency = "AUS";}
		if($currency=="CAD")  {$currency = "CAN";}
		if($currency=="GBP")  {$currency = "GBR";}
		$req_field = "<input type=\"hidden\" name=\"PAYMENT_METAL_ID\" value=\"1\"><input type=\"hidden\" name=\"PAYMENT_URL_METHOD\" value=\"LINK\">";
		$f_action = "https://www.moneybookers.com/app/payment.pl";
		$f_account = "pay_to_email";
		$f_order = "transaction_id";
		$f_item_name="item_name";
		$f_total="amount";
		$f_currency = "currency";
		$f_fname = "firstname";
		$f_lname= "lastname";
		$f_address = "address";
		$f_city = "City";
		$f_state = "State";
		$f_country = "Country";
		$f_zip = "postal_code";
		$f_return = "return_url";
		$f_cancel = "NOPAYMENT_URL";
		$f_email = "pay_from_email";
		$f_description = "order_id";
	}
	else if($gateway=="c.o.d"){
		$f_action="notify.php?order_id=$order_id&pgway=cod&total=$total";
	}
	else if($gateway=="offline payment"){
		$f_action="notify.php?order_id=$cart_id&pgway=off&total=$total";
	}
	else if($gateway=="credit card"){
		$payment_text = "<table><tr><td colspan=2>Your Credit Card details will be Encrypted and held until processed, once processed all records of your card will be deleted from the our records.</td></tr><form method=post action=notify.php?order_id=$order_id&pgway=CC><tr><td>Name on Card: </td><td><input type=text name=ccname></td></tr><tr><td>Card Number: </td><td><input type=text name=ccnum></td></tr><tr><td>Expiry Date: </td><td><input type=text name=expdte></td></tr><tr><td>Card Type:</td><td><select name=cctype><option value=visa>Visa<option value=MasterCard>MasterCard<option value=Amex>Amex<option value=Diners>Diners Club</select></td></tr><tr><td colspan=2><center><input type=submit value=Submit></td></tr> </table>";
	}

	//
	// Build the form. With the above users with some knowledge will be able to much more easily add custom gateways
	// 
	
	$payment_text = "<input type='submit' value='".lan_pay_now."' class='tbox'>
	</form>	
	";
						

return $payment_text;

}

#####################################################
# zogo_apply_coupon($total, $coupon_code)
#####################################################
# 
#	Calculates the discount and applies it to the
#	price.
#
#####################################################
function zogo_apply_coupon($total, $coupon_code, $mode){
	global $ns;
	
	//
	// Select Coupons from the database and set them to variables for use within this function
	//
	$sql = new db;
	$sql->db_Select("zogo_coupons", "*", "coupon_code='".$coupon_code."'");
	while($row = $sql->db_Fetch()){
		
		$coupon_expiry_date = $row["coupon_expiry_date"];
		$valid_for_x_uses = $row["xvalid_for_uses"];
		$coupon_used_x_times = $row["coupon_used_x_times"];
		$coupon_discount_amount = $row["coupon_discount_amount"];
		$coupon_discount_type = $row["coupon_discount_type"];
	
	}

	//
	// Check the coupons validity against the current date first
	//
	
	$todays_date = mktime(0,0,0,date("m") ,date("d"), date("Y"));

	if($todays_date > $coupon_expiry_date || $coupon_expiry_date=="" && $mode!==1)
	{
		$ns->tablerender(lan_invalid_coupon_title, lan_invalid_coupon);
	}
	else
	{
		if($valid_for_x_uses > $coupon_used_x_times || $mode==1){
			//
			// If the voucher type is a $ amount
			//
			if($coupon_discount_type==1)
			{
				$total = $total - $coupon_discount_amount;
			}
			else
			{
				//
				// Calculate the new price with respect to the percentage discount
				//
				$y = $coupon_discount_amount / 100;
				$discount = $total * $y;
				$total = $total - $discount;
			
			}
			$total = number_format($total, 2, ".", ",");
			$discount = number_format($discount, 2, ".", ",");
			$ns->tablerender(lan_valid_coupon_title, lan_valid_coupon);

			if($mode!=1){
				//
				// Add the used x times amount
				//
				$coupon_used_x_times = $coupon_used_x_times + 1;
				$sql->db_Update("zogo_coupons", "coupon_used_x_times='".$coupon_used_x_times."' where coupon_code='".$coupon_code."'");
			}
		}
		else
		{
			$ns->tablerender(lan_invalid_coupon_title, lan_invalid_coupon);
			
		}

	}
return $total;
	
}


?>