<?php
####################################################
#	products_class.php
####################################################
#
# version: 2
# Authour: Daniel Hewes
# Site: http://www.digitalground.net
#
#	Released Under Proprietry Commercial License
#	See License.txt
####################################################
#
#	Classes/functions for getting ZoGo-Cart products 
#
#####################################################

#####################################################
# zogo_get_products(category, order)
#####################################################
# 
#	This function is used to grab products and 
#	and display them
#
#####################################################

function zogo_get_products($category, $porder, $limiter){
	//
	// Start the table that displays the products
	//
	$prod_display="<center><table class='fborder' width='100%'><tr><td class='forumheader' colspan='6'><a href='".e_HTTP."'>".SITENAME."</a> >> <a href='".zogo_get_path()."categories.php'>".zogo_get_settings("store_name")."</a> >> ".zogo_get_category_name($category)."</a></td></tr>";

	$prod_display.="<script language=\"javascript\" type=\"text/javascript\" >
					<!-- hide

					function jumpto(x){

					if (document.submenu.subcategories.value != \"\") {
						document.location.href = 'products.php?cat='+x;
						}
					}

					// end hide -->
					</script>";

	$prod_display .= "<tr>
						<td class='forumheader' colspan='6'>
							<form name='submenu'>
							".lan_sub_cats.": ".zogo_display_list_of_sub_categories($category)."
							</form>
						</td>
					</tr>";

	//
	// Write the column headers
	//
	$prod_display .= "<tr><td class='forumheader'>&nbsp;</td><td class='forumheader'>".lan_product_name."</td><td class='forumheader'>".lan_price."</td><td class='forumheader'>".lan_quantity."</td><td class='forumheader'>".lan_options."</td><td class='forumheader'>&nbsp;</td></tr>";
	
	

	//
	// Query the Database
	//
	$sql=new db;

	$query = "SELECT 
	prod.product_name as ProductName, 
	prod.product_price as ProductPrice,
	prod.ID as ProductID,
	prod.special_price as special,
	prod.downloadable as download,
	prod.small_image as ProductIcon
	FROM ".MPREFIX."zogo_categories cat, 
	".MPREFIX."zogo_products prod, 
	".MPREFIX."zogo_category_matrix mx
	WHERE cat.catId = mx.category_id
	AND prod.ID = mx.product_id
	AND cat.catId = ".$category."
	And prod.active=1 order by ".$porder." ".$limiter;
	
	
	$sql->db_Select_gen($query);
	while($row = $sql -> db_Fetch()){
		//
		// Start the form to post to the item to the shopping cart
		//
		$prod_display.="<form name='products' action='cart.php?action=add' method='post'>";

		//
		// Display the small image with a link to the details image
		//
		$prod_display .="<tr><td class='forumheader2'><center><a href='product_details.php?product=".$row["ProductID"]."&cat=".$_GET["cat"]."'><img src='images/products/small/".$row["ProductIcon"]."' border='0'></a></td>";

		//
		// Display the product Name with same link as above
		//
		$prod_display .="<td class='forumheader2'><center><a href='product_details.php?product=".$row["ProductID"]."&cat=".$_GET["cat"]."'>".$row["ProductName"]."</a></td>";

		//
		// Display the price
		//
		if($row["special"]=="")
		{
			$prod_display .="<td class='forumheader2'><center>".zogo_get_settings("currency_symbol").$row["ProductPrice"]."</td>";
		}
		else
		{
			$prod_display .="<td class='forumheader2'><center>".lan_product_was.": ".zogo_get_settings("currency_symbol")."<strike>".$row["ProductPrice"]."</strike> ".lan_product_now.": ".zogo_get_settings("currency_symbol").$row["special"]."</td>";
		}

		//
		// Display the quantity field
		//
		$prod_display .="<td class='forumheader2'><center><input type='text' name='quantity' value='1' size='3' class='tbox'></td>";

		//
		// Display the product options in a select box
		//
		$prod_display .="<td class='forumheader2'><center>".zogo_get_product_options($row["ProductID"])."</td>";
		
		//
		// Add a hidden field that holds the product ID for form submittal
		//
		$prod_display .="<input type='hidden' name='product' value='".$row["ProductID"]."'>";

		//
		// Display the "add to cart" button if there is stock on hand or if they want to sell into negitive items
		//
		if(zogo_get_settings("sell_into_minus_stock")==1){
			if(zogo_get_product_field($row["ProductID"], "stock_on_hand") > 0){
				$prod_display .="<td class='forumheader2'><center><input type='submit' name='addcart' value='".lan_add_to_cart."' class='tbox'></td></tr>";
			}
			else
			{
				$prod_display .="<td class='forumheader2'><center>".lan_not_in_stock."</td></tr>";
			}
		}
		else
		{		
			$prod_display .="<td class='forumheader2'><center><input type='submit' name='addcart' value='".lan_add_to_cart."' class='tbox'></td></tr>";
		}



		//
		// End the form
		//
		$prod_display .="</form>";

	}
	$prod_display .="</table>";

return $prod_display;
}

#####################################################
# zogo_get_product_options(productid)
#####################################################
# 
#	This function is used to grab product options 
#	and display them
#
#####################################################

function zogo_get_product_options($product_ID, $disp){
	//
	// Grab the option groups
	//
	$sql = new db;
	if(!$sql->db_Select("zogo_product_options", "option_group", "itemid='".$product_ID."' group by option_group"))
	{
		$options= "N/A";
	}
	else
	{
		while($row2 = $sql -> db_Fetch()){
			$option_group[] = $row2["option_group"];
		}
	}
	$i = 0;
	
	foreach($option_group as $group){
	
		
		$options .= $group.": <select name='product_option".$i."' class='tbox'>";
		$options .= "<option value=''></option>";
		$sql2=new db;
		$sql2->db_Select("zogo_product_options", "*", "itemid='".$product_ID."' and option_group='".$group."'");
		while($row = $sql2 -> db_Fetch()){
			$options.="<option value='".$row["ID"]."'>".$row["optname"]." ".$row["opter"]." ".number_format($row["optval"], 2, ".", ",")."</option>";
		}
		$options.="</select>";
		if($disp==1){
			$options.="<br><br>";
		}
		else
		{
			$options.="<br>";
		}
		$i++;
		
	}
	$options.="<input type='hidden' name='option_count' value='".$i."'>";
	return $options;
}

#####################################################
# zogo_get_product_options_for_cart($optionid)
#####################################################
# 
#	This function is used to grab product options 
#	and their details for the cart
#
#####################################################

function zogo_get_product_options_for_cart($option_ID, $field)
{

	foreach(explode("|", $option_ID) as $options)
	{
		$sql=new db;
		$sql->db_Select("zogo_product_options", "*", "ID='".$options."'");
		while($row = $sql -> db_Fetch()){
			if($field == "optname")
			{
				$field2.=$row["option_group"].": ".$row[$field]."<br>";
			}
			else
			{
				if($row["opter"]=="+")
				{
					$field2+=$row[$field];
				}
				else if($row["opter"]=="-")
				{
					$field2-=$row[$field];
				}
			}
		}
	}	
	return $field2;
}

#####################################################
# zogo_get_product_field(productid)
#####################################################
# 
#	This function grabs a singular field of a product
#
#####################################################

function zogo_get_product_field($product_ID, $field){
	$sql=new db;
	$sql->db_Select("zogo_products", "*", "ID=".$product_ID."");
	while($row = $sql -> db_Fetch()){
		$field2 = $row[$field];
	}
	
	return $field2;
}

#####################################################
# zogo_get_product_details(productid)
#####################################################
# 
#	This function grabs a products details
#
#####################################################

function zogo_get_product_details($product_ID){

	//
	// start the table display
	//
	$details = "<center><table class='fborder' width='100%'><tr><td class='forumheader' colspan='6'><a href='".e_HTTP."'>".SITENAME."</a> >> <a href='".zogo_get_path()."categories.php'>".zogo_get_settings("store_name")."</a> >> <a href='products.php?cat=".$_GET["cat"]."'>".zogo_get_category_name($_GET["cat"])."</a> >> ".zogo_get_product_field($product_ID, "product_name")."<form name='products' action='cart.php?action=add' method='post'></td></tr>";
	$sql=new db;
	$sql->db_Select("zogo_products", "*", "ID=".$product_ID."");	
	while($row = $sql -> db_Fetch()){
		//
		// The table header (price and title)
		//
		if($row["special_price"]=="")
		{
			$details.="<tr><td class='forumheader' colspan='4' style='text-align:right;'><font size=3><b>".lan_price.": ".zogo_get_settings("currency_symbol").$row["product_price"]."</font></b></td></tr>";
		}
		else
		{
			$details.="<tr><td class='forumheader' colspan='4' style='text-align:right;'><font size=3><b>".lan_price." - " 
			.lan_product_was.": ".zogo_get_settings("currency_symbol")."<strike>".$row["product_price"]."</strike> ".lan_product_now.": ".zogo_get_settings("currency_symbol").$row["special_price"]. "</font></b></td></tr>";
		}

		//
		// The image
		//
		$details .="<tr><td class='forumheader2' valign='top'><img src='images/products/large/".$row["large_image"]."' align='left' hspace='10px' >".$row["description"]."</td>";

		//
		// The product Details
		//
		$details .="<td class='forumheader2'><b>".lan_options.":</b><br>".zogo_get_product_options($product_ID, 1)."<br><b>".lan_quantity.":</b><br> <input type='text' name='quantity' size='3' value='1'><br><br><input type='hidden' name='product' value='".$row["ID"]."'>";
		
		
		if(zogo_get_settings("sell_into_minus_stock")!=1){
			if(zogo_get_product_field($row["ID"], "stock_on_hand") > 0){
				$details.="<input class='tbox' type='submit' name='submit' value='".lan_add_to_cart."'></form></td></tr>";
			}
			else
			{
				$details.=lan_not_in_stock."</td></tr>";
			}
		}
		else
		{
			$details.="<input class='tbox' type='submit' name='submit' value='".lan_add_to_cart."'></form></td></tr>";
		}
		
		$details.="</td></tr>";

		
	}
	$details.="</table>";
	
	return $details;
}


function zogo_get_user_for_order($order, $theuser)
{
	global $sql;
	if($sql->db_Select("zogo_orders", "*", "order_number='".$order."' AND theuser='".$theuser."'"))
	{
		$theresult = 1;
	}

return $theresult;	
}
?>