<?php
/*
+ ----------------------------------------------------------------------------+
|     e107 website system
|
|     Steve Dunstan 2001-2002
|     http://e107.org
|     jalist@e107.org
|
|     Released under the terms and conditions of the
|     GNU General Public License (http://gnu.org).
|
|     $Source: /cvsroot/e107/e107_0.7/e107_plugins/forum/plugin.php,v $
|     $Revision: 1.13 $
|     $Date: 2006/01/05 09:06:46 $
|     $Author: sweetas $
+----------------------------------------------------------------------------+
*/
	
	
// Plugin info -------------------------------------------------------------------------------------------------------
$eplug_name = 'ZoGo-Shop';
$eplug_version = '1.14';
$eplug_author = 'Daniel Hewes';
$eplug_url = 'http://www.myTipper.com';
$eplug_email = '';
$eplug_description = 'This plugin is a fully featured e-commerce system for e107, including digital downloads.';
$eplug_compatible = 'e107v0.7+';
$eplug_readme = '';
$eplug_latest = False; //Show reported threads in admin (use latest.php)
$eplug_status = False; //Show post count in admin (use status.php)
	
// Name of the plugin's folder -------------------------------------------------------------------------------------
$eplug_folder = "zogo-shop";
	
// Name of menu item for plugin ----------------------------------------------------------------------------------
$eplug_menu_name = "ZoGo-Shop - So Go Shop!";
	
// Name of the admin configuration file --------------------------------------------------------------------------
$eplug_conffile = "admin/admin_zogo_index.php";
	
// Icon image and caption text ------------------------------------------------------------------------------------
$eplug_icon = $eplug_folder."/images/myStore.gif";
$eplug_icon_small = "";
$eplug_caption = 'Configure ZoGo-Shop';
	
// List of preferences -----------------------------------------------------------------------------------------------
$eplug_prefs = array();
	
// List of table names -----------------------------------------------------------------------------------------------
$eplug_table_names = array("zogo_cart", "zogo_categories", "zogo_category_matrix", "zogo_coupons", "zogo_customer_information", "zogo_gateways", "zogo_general_settings", "zogo_orders", "zogo_postage", "zogo_product_options", "zogo_products", "zogo_settings", "zogo_custom" );
	
// List of sql requests to create tables -----------------------------------------------------------------------------
$eplug_tables = array(
"CREATE TABLE `".MPREFIX."zogo_cart` (
  `lineID` int(11) NOT NULL auto_increment,
  `cart_ID` varchar(255) NOT NULL default '',
  `productID` varchar(255) NOT NULL default '',
  `quantity` varchar(255) NOT NULL default '',
  `option` varchar(255) NOT NULL default '',
  `cart_time` int(11) NOT NULL default '0',
  `order_number` varchar(255) NOT NULL default '',
  PRIMARY KEY (lineID)
) TYPE=MyISAM;",
"CREATE TABLE `".MPREFIX."zogo_categories` (
  `catId` int(11) NOT NULL auto_increment,
  `catName` varchar(250) default NULL,
  `catDesc` varchar(250) default NULL,
  `parid` varchar(255) default NULL,
  `catimg` varchar(255) default NULL,
  `catord` varchar(255) default NULL,
  `active` int(11) default '1',
  PRIMARY KEY (catId),
  UNIQUE KEY id (catId)
) TYPE=MyISAM;",
"CREATE TABLE `".MPREFIX."zogo_category_matrix` (
  `product_id` int(11) NOT NULL default '0',
  `category_id` int(11) NOT NULL default '0',
  PRIMARY KEY (product_id,category_id)
) TYPE=MyISAM;",
"CREATE TABLE `".MPREFIX."zogo_coupons` (
  `coupon_name` varchar(255) NOT NULL default '',
  `coupon_code` varchar(255) NOT NULL default '',
  `coupon_expiry_date` int(50) default NULL,
  `coupon_used_x_times` int(11) NOT NULL default '0',
  `xvalid_for_uses` varchar(255) NOT NULL default '',
  `coupon_discount_amount` int(10) NOT NULL default '0',
  `coupon_discount_type` varchar(255) NOT NULL default ''
) TYPE=MyISAM;",
"CREATE TABLE `".MPREFIX."zogo_customer_information` (
  `ID` int(11) NOT NULL auto_increment,
  `username` varchar(255) NOT NULL default '',
  `customer_name` varchar(255) NOT NULL default '',
  `customer_last_name` varchar(255) NOT NULL default '',
  `customer_email` varchar(255) NOT NULL default '',
  `customer_address1` varchar(255) NOT NULL default '',
  `customer_address2` varchar(255) default NULL,
  `customer_city` varchar(255) NOT NULL default '',
  `customer_state` varchar(255) NOT NULL default '',
  `customer_country` varchar(255) NOT NULL default '',
  `customer_region` varchar(255) default NULL,
  `customer_zip` varchar(255) NOT NULL default '',
  `orderID` varchar(255) NOT NULL default '',
  PRIMARY KEY (ID)
) TYPE=MyISAM;",
"CREATE TABLE `".MPREFIX."zogo_gateways` (
  `ID` int(11) NOT NULL auto_increment,
  `identifier` varchar(255) NOT NULL default '',
  `account` varchar(255) NOT NULL default '',
  `field1` varchar(255) NOT NULL default '',
  `field2` varchar(255) NOT NULL default '',
  `field3` varchar(255) NOT NULL default '',
  `field4` varchar(255) NOT NULL default '',
  `active` int(11) NOT NULL default '0',
  UNIQUE KEY ID (ID)
) TYPE=MyISAM;",
"CREATE TABLE `".MPREFIX."zogo_general_settings` (
  `store_name` varchar(255) NOT NULL default '',
  `store_email` varchar(255) NOT NULL default '',
  `store_language` varchar(255) NOT NULL default ''
) TYPE=MyISAM;",
"CREATE TABLE `".MPREFIX."zogo_orders` (
  `lineID` int(11) NOT NULL auto_increment,
  `cart_ID` varchar(255) NOT NULL default '',
  `productID` varchar(255) NOT NULL default '',
  `quantity` varchar(255) NOT NULL default '',
  `option` varchar(255) NOT NULL default '',
  `order_number` varchar(255) NOT NULL default '',
  `status` varchar(255) NOT NULL default '',
  `last_mod` varchar(255) NOT NULL default '',
  `gateway` varchar(255) NOT NULL default '',
  `theuser` varchar(255) NOT NULL default '',
  `cust_region` varchar(255) NOT NULL default '',
  `coupon` varchar(255) NOT NULL default '',
  `sale_price` varchar(255) NOT NULL,
  PRIMARY KEY (lineID)
) TYPE=MyISAM;",
"CREATE TABLE `".MPREFIX."zogo_postage` (
  `region_id` int(11) NOT NULL auto_increment,
  `postage_region` varchar(255) NOT NULL default '',
  `postage_price` varchar(255) NOT NULL default '',
  `extra` varchar(255) NOT NULL default '',
  PRIMARY KEY (region_id)
) TYPE=MyISAM;",
"CREATE TABLE `".MPREFIX."zogo_product_options` (
  `ID` int(11) NOT NULL auto_increment,
  `itemid` varchar(255) NOT NULL default '',
  `optname` varchar(255) NOT NULL default '',
  `optval` varchar(255) NOT NULL default '',
  `opter` varchar(255) NOT NULL default '',
  `option_group` varchar(255) NOT NULL default '',
  UNIQUE KEY ID (ID)
) TYPE=MyISAM;",
"CREATE TABLE `".MPREFIX."zogo_products` (
  `ID` int(11) NOT NULL auto_increment,
  `small_image` varchar(255) NOT NULL default '',
  `large_image` varchar(255) NOT NULL default '',
  `product_price` varchar(255) NOT NULL default '',
  `description` longtext NOT NULL,
  `product_name` varchar(255) NOT NULL default '',
  `active` int(11) NOT NULL default '0',
  `postage_price` varchar(255) NOT NULL default '',
  `stock_on_hand` int(10) NOT NULL default '0',
  `downloadable` varchar(255) NOT NULL,
  `download_file` varchar(255) NOT NULL,
  `special_price` varchar(255) NOT NULL,
  `date_added` varchar(255) NOT NULL,
  `function_page` varchar(255) NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM;",
"CREATE TABLE `".MPREFIX."zogo_settings` (
  `postage_method` varchar(255) default NULL,
  `postage_min` decimal(10,2) default NULL,
  `postage_max` decimal(10,2) default NULL,
  `currency` varchar(250) default NULL,
  `customer_must_be_member` varchar(255) default NULL,
  `category_display` varchar(255) default NULL,
  `sell_into_minus_stock` varchar(255) default NULL,
  `warning_level` varchar(255) default NULL,
  `use_coupons` varchar(255) default NULL,
  `tax_inc` varchar(255) NOT NULL default '',
  `tax_rate` varchar(255) default NULL,
  `price_break_yn` varchar(255) default NULL,
  `price_break_point` varchar(255) default NULL,
  `store_name` varchar(255) NOT NULL default '',
  `item_display_order` varchar(255) NOT NULL default '',
  `products_per_page` varchar(255) NOT NULL default '',
  `currency_symbol` varchar(255) NOT NULL default '',
  `language` varchar(255) NOT NULL default '',
  `orderID` int(20) NOT NULL default '0',
  `order_email` varchar(255) NOT NULL default '',
  `license` varchar(255) NOT NULL,
  `download_dir` varchar(255) NOT NULL
) ENGINE=MyISAM;",
"CREATE TABLE `".MPREFIX."zogo_custom` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) default NULL,
  `r_name` varchar(255) default NULL,
  `r_type` varchar(11) default NULL,
  `position` varchar(11) default NULL,
  `content` longtext,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;");
	
// Create a link in main menu (yes=TRUE, no=FALSE) -------------------------------------------------------------
$eplug_link = TRUE;
$eplug_link_name = "Online Store";
$eplug_link_url = e_PLUGIN.'zogo-shop/categories.php';
	
// Text to display after plugin successfully installed ------------------------------------------------------------------
$eplug_done = 'Your Online store has now been installed';
	
$eplug_upgrade_done = 'Store successfully upgraded, now using version: '.$eplug_version;


$upgrade_alter_tables = array("CREATE TABLE `".MPREFIX."zogo_custom` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) default NULL,
  `r_name` varchar(255) default NULL,
  `r_type` varchar(11) default NULL,
  `position` varchar(11) default NULL,
  `content` longtext,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;",
"ALTER TABLE ".MPREFIX."zogo_settings ADD download_dir VARCHAR (255 )NULL;",
"ALTER TABLE ".MPREFIX."zogo_products ADD downloadable VARCHAR (255 ) NULL;",
"ALTER TABLE ".MPREFIX."zogo_products ADD download_file VARCHAR (255 ) NULL;",
"ALTER TABLE ".MPREFIX."zogo_products ADD special_price VARCHAR (255 ) NULL;",
"ALTER TABLE ".MPREFIX."zogo_products ADD date_added VARCHAR (255 ) NULL;",
"ALTER TABLE ".MPREFIX."zogo_products ADD function_page VARCHAR (255 ) NULL;"
);


	
?>